curl --location --request GET 'https://api.audienceful.com/v2/fields' \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <your-api-key>'
import requests
url = "https://api.audienceful.com/v2/fields"
headers = {
"Content-Type": "application/json",
"X-Api-Key": "<your-api-key>",
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.audienceful.com/v2/fields", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-Api-Key": "<your-api-key>",
},
});
const data = await response.json();
console.log(data);
{
"data": [
{
"id": "4XJA8RZ6kJRwMJYDBETyZa",
"name": "Email",
"data_name": "email",
"type": "string",
"editable": false,
"internal": true,
"required": false
},
{
"id": "o4i4TNZnWsq2f2ZWVqNNWY",
"name": "Plan",
"data_name": "plan",
"type": "string",
"editable": true,
"internal": false,
"required": false
}
],
"has_more": false,
"next_cursor": null
}
List Fields
Returns a cursor-paginated list of your custom fields.
GET
/
v2
/
fields
curl --location --request GET 'https://api.audienceful.com/v2/fields' \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <your-api-key>'
import requests
url = "https://api.audienceful.com/v2/fields"
headers = {
"Content-Type": "application/json",
"X-Api-Key": "<your-api-key>",
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.audienceful.com/v2/fields", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-Api-Key": "<your-api-key>",
},
});
const data = await response.json();
console.log(data);
{
"data": [
{
"id": "4XJA8RZ6kJRwMJYDBETyZa",
"name": "Email",
"data_name": "email",
"type": "string",
"editable": false,
"internal": true,
"required": false
},
{
"id": "o4i4TNZnWsq2f2ZWVqNNWY",
"name": "Plan",
"data_name": "plan",
"type": "string",
"editable": true,
"internal": false,
"required": false
}
],
"has_more": false,
"next_cursor": null
}
Requires the
fields:read scope.
Query parameters
The number of fields to return per page.
The pagination cursor from a previous response’s
next_cursor. See Pagination.Response
The page of custom fields.
Show properties
Show properties
The id of the field. Used to address the field in the retrieve, update, and delete endpoints.
The human-readable name of the field.
The key used to set and read this field's value on a contact (in
extra_data).The type of data stored in the field. One of
string, boolean, number, tag, datetime, or phone.Whether the field can be edited. Default fields such as
email or tags are not editable.Whether the field is a built-in, internally managed field.
Whether a value for this field is required.
Whether more fields exist after this page.
The cursor to pass as
?cursor= to fetch the next page.curl --location --request GET 'https://api.audienceful.com/v2/fields' \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <your-api-key>'
import requests
url = "https://api.audienceful.com/v2/fields"
headers = {
"Content-Type": "application/json",
"X-Api-Key": "<your-api-key>",
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.audienceful.com/v2/fields", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-Api-Key": "<your-api-key>",
},
});
const data = await response.json();
console.log(data);
{
"data": [
{
"id": "4XJA8RZ6kJRwMJYDBETyZa",
"name": "Email",
"data_name": "email",
"type": "string",
"editable": false,
"internal": true,
"required": false
},
{
"id": "o4i4TNZnWsq2f2ZWVqNNWY",
"name": "Plan",
"data_name": "plan",
"type": "string",
"editable": true,
"internal": false,
"required": false
}
],
"has_more": false,
"next_cursor": null
}
⌘I

